curl --request GET \
--url https://call.aiployees.com/api/user/assistants/synthesizer-providers \
--header 'Authorization: Bearer <token>'[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
Retrieve available TTS (text-to-speech) synthesizer providers
curl --request GET \
--url https://call.aiployees.com/api/user/assistants/synthesizer-providers \
--header 'Authorization: Bearer <token>'[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
id as synthesizer_provider_id when configuring an assistant.
[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
language_id filter is provided, all providers are returnedlanguage_id filter to get compatible providerspipeline and dualplex modes (multimodal mode handles TTS internally)synthesizer_provider_id when creating an assistant, the language’s default provider is used